varying vec3 normal;
varying vec3 light;

varying vec4 dif, amb, spec;
varying float spec_e;

varying vec2 tex_pos;
varying vec4 v_color;
uniform sampler2D tex;

float shade, dist, len;

void main() {

  len = length(light);

  if (len < 140.0) {
    shade = dot(normalize(normal), normalize(light));
    dist = 50.0/sqrt(length(light)*50.0)-0.6;
    gl_FragColor = texture2D(tex, tex_pos) * v_color * shade * dist;
    gl_FragColor[3] = 1.0;
  }
  else {
    gl_FragColor = vec4(0.0, 0.0, 0.0, 1.0);
  }
}
