varying vec3 normal;
varying vec3 light;

varying vec4 dif, amb, spec;
varying float spec_e;

varying vec2 tex_pos;
varying vec4 v_color;

void main() {
  light = vec3(gl_LightSource[0].position) - vec3(gl_ModelViewMatrix * gl_Vertex);
  normal = gl_NormalMatrix * gl_Normal;

  dif = gl_FrontMaterial.diffuse * gl_LightSource[0].diffuse;
  amb = gl_FrontMaterial.ambient * gl_LightSource[0].ambient;
  spec = gl_FrontMaterial.specular * gl_LightSource[0].specular;
  spec_e = gl_FrontMaterial.shininess;

  v_color = gl_Color;
  tex_pos = vec2(gl_MultiTexCoord0);

  gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
}
